AurionAI Docs

Create Conversation Message V2

POST
/api/v2/conversations/{conversation_id}/messages

Authorization

AuthorizationBearer <token>

In: header

Path Parameters

conversation_id*Conversation Id

Header Parameters

Idempotency-Key?string|null

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://loading/api/v2/conversations/string/messages" \  -H "Content-Type: application/json" \  -d '{    "body": "string"  }'
{
  "attachments": [
    {}
  ],
  "body": "string",
  "body_html": "string",
  "content_type": "string",
  "conversation_version": 0,
  "created_at": "2019-08-24T14:15:22Z",
  "id": "string",
  "is_internal": false,
  "metadata": {},
  "original_body": "string",
  "sender_id": "string",
  "sender_type": "string",
  "sentiment_label": "string",
  "sentiment_score": 0,
  "source": "string",
  "source_message_id": "string",
  "translated_body": "string",
  "translation_target_language": "string"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}